### Method

# Foundry SecretService rotate_api_key

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_secret_service_rotate_api_key (
      FoundrySecretService* self,
      const char* host,
      const char* service,
      GDateTime* expire_at
    )

#### Description [src]

Rotates the API key for the host/service pair.

Available since: 1.1

#### Parameters

`host`

  Type: `const char*`

  The hostname of the api server.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`service`

  Type: `const char*`

  The name of the service such as “gitlab”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`expire_at`

  Type: `GDateTime`

  When the new key should expire, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to the new API key as a string on success; or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.